Package org.apache.sling.jcr.jackrabbit.accessmanager

# Interface DeletePrincipalAces

All Known Implementing Classes:
  `DeletePrincipalAcesServlet`

public interface DeletePrincipalAces
The `DeletePrincipalAces` service api.

This interface is not intended to be implemented by bundles. It is implemented by this bundle and may be used by client bundles.

## Method Summary

Modifier and Type
Method
Description
`void`
`deletePrincipalAces(javax.jcr.Session jcrSession, String resourcePath, String[] principalNamesToDelete)`
Deletes one or more pricipal ACEs from the access control list of a resource.

## Method Details

### deletePrincipalAces

void deletePrincipalAces(javax.jcr.Session jcrSession, String resourcePath, String[] principalNamesToDelete) throws javax.jcr.RepositoryException
Deletes one or more pricipal ACEs from the access control list of a resource.

Parameters:
  `jcrSession` - the JCR session of the user updating the user
  `resourcePath` - The path of the resource to update the ACL for (required)
  `principalNamesToDelete` - An array of ace principal names to delete.. (required)
Throws:
  `javax.jcr.RepositoryException` - if any errors applying the changes